*{
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    font-family: 'Inter', sans-serif;
    text-decoration: none;
    list-style: none;
    scroll-behavior: smooth;
}

:root{
    --text-color: #fff;
    --bg-color: #1b1f24;
    --second-bg-color: #22282f;
    --main-color: #13bbff;
    --other-color: #c3cad5;

    --h1-font: 4.5rem;
    --h2-font: 2.9rem;
    --p-font: 1rem;
}

body{
    color: var(--text-color);
    background: var(--bg-color);
}

header{
    position: fixed;
    width: 100%;
    top: 0;
    right: 0;
    z-index: 1000;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 40px 16%;
    background: transparent;
    transition: all .50s ease;
}

header.sticky{
    background: var(--bg-color);
    box-shadow: 0 .1rem 1rem rgba(0, 0, 0, .2);
    padding: 16px 16%;
}

.logo{
    color: var(--text-color);
    font-size: 36px;
    font-weight: 600;
}

span{
    color: var(--main-color);
}

.navlist{
    display: flex;
}

.navlist a{
    font-size: var(--p-font);
    font-weight: 500;
    color: var(--other-color);
    margin-left: 40px;
    transition: all .50s ease;
}

.navlist a:hover{
    color: var(--main-color);
}

#menu-icon{
    font-size: 35px;
    z-index: 10001;
    cursor: pointer;
    display: none;
}

.h-btn{
    display: inline-block;
    padding: 11px 26px;
    background: transparent;
    color: var(--main-color);
    border: 2px solid var(--main-color);
    border-radius: 8px;
    font-size: 15px;
    font-weight: 600;
    transition: all .50s ease;
}

.h-btn:hover{
    background: var(--main-color);
    color: var(--bg-color);
    box-shadow: 0 0 20px var(--main-color);
    transform: scale(1.1);
}

section{
    padding: 110px 16% 90px;
}

.hero{
    height: 100vh;
    width: 100%;
    display: flex;
    align-items: center;
}

.main-content h4{
    font-size: 1.6rem;
}

.main-content h1{
    font-size: var(--h1-font);
    font-weight: 900;
    margin: 20px 0px 20px;
    line-height: 1.2;
}

.main-content p{
    font-size: var(--p-font);
    font-weight: 400;
    width: 620px;
    max-width: 100%;
    color: var(--other-color);
    line-height: 30px;
    margin-bottom: 15px;
}

.social{
    margin-bottom: 40px;
}

.social i{
    display: inline-flex;
    align-items: center;
    justify-content: center;
    width: 40px;
    height: 40px;
    color: var(--main-color);
    border-radius: 50%;
    font-size: 20px;
    margin-right: 17px;
    cursor: pointer;
    transition: all .50s ease;
}

.social i:hover{
    transform: scale(1.1);
    box-shadow: 0 0 20px var(--main-color);
}

.main-image img{
    width: 340px;
    height: 340px;
    border-radius: 50%;
    margin-left: 80px;
    object-fit: cover;
    box-shadow: 0 0 20px var(--main-color);
}

.center-text{
    text-align: center;
}

.center-text h2{
    font-size: var(--h2-font);
}

.about-content{
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(300px, auto));
    align-items: center;
    gap: 2.3rem;
    margin-top: 4.2rem;
}

.box{
    padding: 80px 40px 66px;
    background: #2d343f;
    border-radius: 28px;
    border: 1px solid transparent;
    box-shadow: 0 0 5px var(--main-color);
    transition: all .50s ease;
}

.box img{
    border-radius: 50%;
    margin-bottom: 20px;
}

.box h3{
    font-size: 30px;
    font-weight: 700;
    margin-bottom: 10px;
}

.box p{
    font-size: var(--p-font);
    font-weight: 400;
    color: var(--other-color);
    line-height: 30px;
    margin-bottom: 20px;
}

.projects{
    background: var(--second-bg-color);
}

.projects-content{
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(300px, auto));
    align-items: center;
    gap: 2.3rem;
    margin-top: 4.2rem;
}

.row{
    cursor: pointer;
    padding: 20px;
    background: #2d343f;
    border-radius: 28px;
    border: 1px solid transparent;
    box-shadow: 0 0 5px var(--main-color);
    transition: all .50s ease;
}

.row:hover {
    box-shadow: 0 0 10px var(--main-color);
}

.row img{
    height: auto;
    width: 100%;
    height: 160px;
    border-radius: 16px;
    margin-bottom: 1.4rem;
}

.main-row{
    display: flex;
    width: 100%;
    align-items: center;
    justify-content: space-between;
    margin-bottom: 5px;
}

.row h5{
    font-size: 20px;
    font-weight: 600;
    color: var(--other-color);
}

.row i{
    display: inline-flex;
    align-items: center;
    justify-content: center;
    width: 40px;
    height: 40px;
    border-radius: 50%;
    color: var(--text-color);
    background: #0167ba;
}

.row a{
    color: var(--text-color);
    font-size: 25px;
    font-weight: 700;
    margin-bottom: 10px;
    line-height: 1.4;
}

.articles-content{
    display: block;
    align-items: center;
    gap: 2.3rem;
    margin-top: 4.2rem;
}

.article{
    cursor: pointer;
    display: flex;
    padding: 20px;
    background: #2d343f;
    border-radius: 28px;
    border: 1px solid transparent;
    box-shadow: 0 0 5px var(--main-color);
    transition: all .50s ease;
    margin-bottom: 20px;
}

.article:hover {
    box-shadow: 0 0 10px var(--main-color);
}

.release-date{
    font-size: 14px;
    font-weight: 600;
    margin-bottom: 10px;
    color: var(--other-color);
}

.article a{
    color: var(--text-color);
    font-size: 25px;
    font-weight: 700;
    margin-bottom: 10px;
    line-height: 1.4;
}

.article p{
    font-size: var(--p-font);
    font-weight: 400;
    color: var(--other-color);
    line-height: 30px;
    margin-bottom: 10px;
    margin-right: 20px;
    max-height: calc(30px * 4);
    overflow: hidden;
}

.tag-list li{
    display: inline-block;
    border-radius: 14px;
    border: 1px solid var(--main-color);
    padding: 10px;
}

.article img{
    width: 350px;
    height: 200px;
    border-radius: 16px;
    object-fit: cover;
}

@media screen and (max-width: 950px) {
    #menu-icon{
        display: block;
    }
    .navlist{
        position: absolute;
        top: 100%;
        right: -100%;
        width: 255px;
        min-height: 100vh;
        display: flex;
        flex-direction: column;
        background: var(--bg-color);
        transform: all .50s ease;
    }
    .navlist a{
        display: block;
        padding: 17px;
        font-size: 22px;
    }
    .navlist.active{
        right: 0;
    }
    section{
        padding: 120px 10% 40px;
    }
    .article {
        flex-direction: column;
        align-items: center;
    }
    .article img {
        max-width: 100%;
        margin-top: 20px;
    }
    .main-image img {
        display: none;
    }
}
